Bug 486828 - kernel-2.6.29-0.137.rc5.git4.fc11.i586 does not boot on MSI-9830 (aka IM-945GSE-A)
kernel-2.6.29-0.137.rc5.git4.fc11.i586 does not boot on MSI-9830 (aka IM-945G...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 08:11 EST by Peter Bieringer
Modified: 2009-03-26 14:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 14:30:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2009-02-22 08:11:03 EST
Description of problem:
I can't boot this kernel (tried to check, whether boot from a solid state disk connected via SATA works).

Version-Release number of selected component (if applicable):
kernel-2.6.29-0.137.rc5.git4.fc11.i586

How reproducible:
Every boot

Steps to Reproduce:
1. Install kernel
2. boot
  
Actual results:
NET: Registered protocol family 17                                              
Using IPI No-Shortcut mode                                                      
registered taskstats version 1                                                  
  Magic number: 13:136:785                                                      
Freeing unused kernel memory: 1672k freed                                       
BUG: unable to handle kernel <1>BUG: unable to handle kernel paging request at f
fffffbf                                                                         
next+0x12/0x48                                                                  
_function+0x1f/0x23                                                             
alance_domains+0x118/0x462                                                      
                                                                                
 [<c04e+0x46/0x5e                                                               
<0> [<c06f2a28>] ? do] ? smp_call_function+0x1f/0x23                            
 [<c[<c06f046e>] ? _spin_unlock_irqrestore+0x3e/0x55                            
ock+0x11/0x2c                                                                   
 [<c045e_registers+0x90/0x156                                                   
<0> [<c06f152ve_smp_send_stop+0x20/0x6c                                         
 [<c06erdirqs_off_caller+0x18/0xa3                                              
 [<c0exec+0x1a/0xac                                                             
<0> [<c044edab>] ? trace_hardirqxa9                                             
 [<c0406798>] ? die+ panic+0x4d/0xeb                                            
c044edab>] ? trace_hardirqs_off_caller+0x18/0xa3                                
x0/0x45                                                                         
[<c0406798>] ? die+0x58/0x5e                                                    
pin_unlock_irq+0x27/0x34       
 ] ? trace_hardirqs_off_caller+0x18/0xa3                                         
44edab>] ? trace_hardirqs_off_caller+0x18/0xa3                                  
2a28>] ? do_page_fault+0x5a4/0x653                                              
] ? printk+0x14/0x1b                                                            
2484>] ? do_page_fault+0x0/0x653                                                
                                                                                
06f2a28>] ? do_page_fault+0x5a4/0x653                                           
] ? error_code+0x77/0x80                                                        
<c06f2484>] ? do_page_fault+0x0/0x653                                           
                                                                                
 [<c06ee001>] ? printk+0x14/0x1b                                                
3                                                                               
_code+0x77/0x80                                                                 
trace_hardirqs_off_caller+0x18/0xa3                                             
19                                                                              
34d39>] ? __do_softirq+0x99/0x154                                               
bd7>] ? error_code+0x77/0x80                                                    
f+0xb/0xd                                                                       
 [<c06f046e>] ? _spin_unlock_irqrestore+0] ? printk+0x14/0x1b                   
 [<c06f2484>] ? do_page_fault+0x0/0x653                                         
ait_table_init+0x3/0xb3                                                         
 ? print_oops_end_marker+0x23/0x28                                              
ee001>] ? printk+0x14/0x1b                                                      
+0x20/0x43                                                                      
 [<c053da4a>] ? cpumask_next_and+0x5/0x2f                                       
 ? kernel_text_address+0x20/0x43                                                
>] ? warn_slowpath+0x81/0xa7                                                    
e/0x30b                                                                         
 [<c0547176>] ? debug_check_no_obj_freed+0x6b/0x153                             
tion_many+0x4c/0x1ca                                                            
group+0x2b3/0x6f7                                                               
 [<c0428dc1>] 0x14/0x1b                                                         
<0> [<c06ee001>] ? printk+0x14/0x1b                                             
52e>] ? __die+0x7d/0xca                                                         
 [<c040988c>] ? stop_this_cpu+0x0/0x4e                                          
 [<c04556b2>] ? smp_crace_hardirqs_off+0xb/0xd                                  
48e>] ? string+0x2a/0x6f                                                        
 show_stack_log_lvl+0x94/0x9f                                                   
 [<c0405db8>] ? show_registers+0x90/0x156                          
...

Expected results:
Proper booting.
F10 kernel boots proper (but has trouble with my solid state disk)

Additional info:

# cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 28
model name      : Genuine Intel(R) CPU N270   @ 1.60GHz
stepping        : 2
cpu MHz         : 800.000
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
apicid          : 0
initial apicid  : 0
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc arch_perfmon pm
bogomips        : 3191.98
clflush size    : 64
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 28
model name      : Genuine Intel(R) CPU N270   @ 1.60GHz
stepping        : 2
cpu MHz         : 800.000
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 1
apicid          : 1
initial apicid  : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc arch_perfmon pm
bogomips        : 3191.45
clflush size    : 64
power management:


Have connected serial console, so if any further information is needed, pls. request.
Comment 1 Kyle McMartin 2009-03-11 16:49:57 EDT
Should be fixed in 2.6.29-0.235.rc7.git4.

Note You need to log in before you can comment on or make changes to this bug.